Commit 3b608602 authored by Daniel Wolf's avatar Daniel Wolf
Browse files
parents ef971d64 1cc6fa10
<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
<component name="CompilerConfiguration">
<bytecodeTargetLevel target="11" />
<bytecodeTargetLevel target="14" />
</component>
</project>
\ No newline at end of file
......@@ -27,11 +27,11 @@ buildscript {
ext.ANDROID_COMPILE_SDK = (System.getenv("ANDROID_COMPILE_SDK") == null ? 30 : System.getenv("ANDROID_COMPILE_SDK")).toInteger()
ext.ANDROID_TARGET_SDK = (System.getenv("ANDROID_TARGET_SDK") == null ? ANDROID_COMPILE_SDK : System.getenv("ANDROID_TARGET_SDK")).toInteger()
ext.ANDROID_MIN_SDK = (System.getenv("ANDROID_MIN_SDK") == null ? 14 : System.getenv("ANDROID_COMPILE_SDK")).toInteger()
ext.KOTLIN_VERSION = System.getenv("KOTLIN_VERSION") == null ? "1.5.10" : System.getenv("KOTLIN_VERSION")
ext.ANDROID_GRADLE_PLUGIN_VERSION = System.getenv("ANDROID_GRADLE_PLUGIN_VERSION") == null ? "4.2.1" : System.getenv("ANDROID_GRADLE_PLUGIN_VERSION")
ext.APPCOMPAT_VERSION = "1.3.0-rc01"
ext.COROUTINE_VERSION = "1.5.0"
ext.RECYCLERVIEW_VERSION = "1.1.0"
ext.KOTLIN_VERSION = System.getenv("KOTLIN_VERSION") == null ? "1.5.21" : System.getenv("KOTLIN_VERSION")
ext.ANDROID_GRADLE_PLUGIN_VERSION = System.getenv("ANDROID_GRADLE_PLUGIN_VERSION") == null ? "7.0.0" : System.getenv("ANDROID_GRADLE_PLUGIN_VERSION")
ext.APPCOMPAT_VERSION = "1.3.1"
ext.COROUTINE_VERSION = "1.5.1"
ext.RECYCLERVIEW_VERSION = "1.2.0"
ext.ROBOELECTRIC_VERSION = "4.3"
println "COMPILE SDK Version: $ANDROID_COMPILE_SDK"
......
......@@ -3,4 +3,4 @@ distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-6.9-all.zip
distributionUrl=https\://services.gradle.org/distributions/gradle-7.1.1-all.zip
......@@ -65,10 +65,10 @@ dependencies {
implementation "org.jetbrains.kotlinx:kotlinx-coroutines-core:$COROUTINE_VERSION"
implementation"org.jetbrains.kotlin:kotlin-stdlib-jdk7:$KOTLIN_VERSION"
testImplementation 'junit:junit:4.13.1'
testImplementation 'junit:junit:4.13.2'
//testImplementation "org.robolectric:robolectric:$ROBOELECTRIC_VERSION"
androidTestImplementation 'androidx.test:runner:1.3.0'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
androidTestImplementation 'androidx.test:runner:1.4.0'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'
}
configurations.all {
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment